# Guidelines for contributing to NOMAD - A blackbox optimization software.

### NOMAD 4
For questions, bugs, feature requests and other issues, please open a new issue at https://github.com/bbopt/nomad/issues.
To add a feature, especially if it involves algorithmic developments, or to otherwise suggest changes to the code, do [contact us](mailto:nomad@gerad.ca) for more information.

### NOMAD 3
NOMAD 3 is still available. It is not on GitHub. For any question or issue specific to NOMAD 3, [email us](mailto:nomad@gerad.ca).

### Questions
We are happy to help. An issue may be opened with the question, or you can [email us](mailto:nomad@gerad.ca).

### Bugs
Make sure to include these informations:
* A clear description of the bug, with the expected behavior
* Steps to reproduce
* OS / platform
* NOMAD version
* It may be useful to have a trace of the output with the parameter `DISPLAY_DEGREE 4`

### Features / Enhancements
If the feature is already in the list of issues, input should be added to that issue. Otherwise, a new issue may be opened. Please check the [roadmap](https://github.com/bbopt/nomad/blob/master/ROADMAP.md) for upcoming features.

### Pull requests
We will review carefully pull requests, but we will not merge them directly. Our current development path involves a private repository that we may update with the suggested changes before updating the public repository.

